GestionBddDAO

## Class GestionQuestions

- java.lang.Object
- - GestionBddDAO.GestionQuestions

-     public class GestionQuestions
      extends java.lang.Object

  Classe effectuant les modifications en base de données pour les questions.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.sql.Connection` | `bdd` Connexion à la base de données.
    `private java.util.ArrayList<Question>` | `listeQuestions` Tableau contenant la liste de toutes les questions stockées en base de données.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GestionQuestions(java.sql.Connection bdd)` Constructeur donnant accées à la base de données.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createQuestion(java.lang.String intitule, java.lang.String reponse1, java.lang.String reponse2, int num_reponse)` Crée une nouvelle question.
    `void` | `deleteQuestion(java.lang.String intitule, java.lang.String reponse1, java.lang.String reponse2)` Supprime une question de la base de données.
    `java.util.ArrayList<Question>` | `getListeQuestions()` Renvoie le tableau interne contenant les questions.
    `void` | `readQuestions(java.lang.String reponse1, java.lang.String reponse2)` Remplis le tableau interne des questions liées à un jeu de réponses depuis la base de données.
    `void` | `updateQuestion(java.lang.String oldIntitule, java.lang.String newIntitule, java.lang.String reponse1, java.lang.String reponse2, int newNum_reponse)` Modifie une question.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bdd

          private java.sql.Connection bdd

      Connexion à la base de données.

    - #### listeQuestions

          private java.util.ArrayList<Question> listeQuestions

      Tableau contenant la liste de toutes les questions stockées en base de données.

  - ### Constructor Detail

    - #### GestionQuestions

          public GestionQuestions(java.sql.Connection bdd)

      Constructeur donnant accées à la base de données.
      Parameters:
        `bdd` - La connexion à la base de données.

  - ### Method Detail

    - #### readQuestions

          public void readQuestions(java.lang.String reponse1,
                           java.lang.String reponse2)
                             throws java.sql.SQLException

      Remplis le tableau interne des questions liées à un jeu de réponses depuis la base de données.
      Parameters:
        `reponse1` - La réponse une du jeu de réponses lié.
        `reponse2` - la réponse deux du jeu de réponses lié.
      Throws:
        `java.sql.SQLException` - Si une erreur SQL survient.

    - #### createQuestion

          public void createQuestion(java.lang.String intitule,
                            java.lang.String reponse1,
                            java.lang.String reponse2,
                            int num_reponse)
                              throws java.sql.SQLException

      Crée une nouvelle question.
      Parameters:
        `intitule` - Intitulé de la question.
        `reponse1` - Réponse une du jeu de question lié.
        `reponse2` - Réponse une du jeu de question lié.
        `num_reponse` - Numéro de la bonne réponses (1: reponse1, 2: réponse2, 0: les deux)
      Throws:
        `java.sql.SQLException` - Si une erreur mysql survient.

    - #### deleteQuestion

          public void deleteQuestion(java.lang.String intitule,
                            java.lang.String reponse1,
                            java.lang.String reponse2)
                              throws java.sql.SQLException

      Supprime une question de la base de données.
      Parameters:
        `intitule` - Intitulé de la question à supprimer.
        `reponse1` - Réponse une du jeu de question lié à la question à supprimer.
        `reponse2` - Réponse deux du jeu de question lié à la question à supprimer.
      Throws:
        `java.sql.SQLException` - Si une erreur SQL survient.

    - #### updateQuestion

          public void updateQuestion(java.lang.String oldIntitule,
                            java.lang.String newIntitule,
                            java.lang.String reponse1,
                            java.lang.String reponse2,
                            int newNum_reponse)
                              throws java.sql.SQLException

      Modifie une question.
      Parameters:
        `oldIntitule` - Ancien intitulé de la question à modifier.
        `newIntitule` - Nouvel intitulé de la question à modifier.
        `reponse1` - Réponse une du jeu de question lié.
        `reponse2` - Réponse deux du jeu de question lié.
        `newNum_reponse` - Nouveau numéro de la bonne réponse (1: reponse1, 2: réponse2, 0: les deux)
      Throws:
        `java.sql.SQLException`

    - #### getListeQuestions

          public java.util.ArrayList<Question> getListeQuestions()

      Renvoie le tableau interne contenant les questions.
      Returns:
        Un tableau d'objets Question.